using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableresignaddcommander1 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "CommanderReject",
                table: "RetirementResigns",
                type: "tinyint(1)",
                nullable: true,
                comment: "สถานะยับยั้งผู้บังคับบัญชา");

            migrationBuilder.AddColumn<DateTime>(
                name: "CommanderRejectDate",
                table: "RetirementResigns",
                type: "datetime(6)",
                nullable: true,
                comment: "วันที่ยับยั้งผู้บังคับบัญชา");

            migrationBuilder.AddColumn<string>(
                name: "CommanderRejectReason",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลยับยั้งผู้บังคับบัญชา")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<bool>(
                name: "OligarchReject",
                table: "RetirementResigns",
                type: "tinyint(1)",
                nullable: true,
                comment: "สถานะยับยั้งผู้ดูแล");

            migrationBuilder.AddColumn<DateTime>(
                name: "OligarchRejectDate",
                table: "RetirementResigns",
                type: "datetime(6)",
                nullable: true,
                comment: "วันที่ยับยั้งผู้ดูแล");

            migrationBuilder.AddColumn<string>(
                name: "OligarchRejectReason",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลยับยั้งผู้ดูแล")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CommanderReject",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "CommanderRejectDate",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "CommanderRejectReason",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "OligarchReject",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "OligarchRejectDate",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "OligarchRejectReason",
                table: "RetirementResigns");
        }
    }
}
